Bug 450351 - pulseaudio crashes with : Assertion 'i->process_rewind'
pulseaudio crashes with : Assertion 'i->process_rewind'
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 17:20 EDT by Nikolay Vladimirov
Modified: 2008-06-26 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 14:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio log (10.94 KB, text/plain)
2008-06-06 17:20 EDT, Nikolay Vladimirov
no flags Details

  None (edit)
Description Nikolay Vladimirov 2008-06-06 17:20:58 EDT
Description of problem:
Pulseaudio crashes with assertion error.

Version-Repulseaudio-libs-glib2-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-module-gconf-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-module-zeroconf-0.9.11-0.3.svn20080529.fc10.x86_64
alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
pulseaudio-libs-0.9.11-0.3.svn20080529.fc10.i386
pulseaudio-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-core-libs-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-debuginfo-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-utils-0.9.11-0.3.svn20080529.fc10.x86_64
gstreamer-plugins-pulse-0.9.7-1.fc10.x86_64
pulseaudio-esound-compat-0.9.11-0.3.svn20080529.fc10.x86_64
akode-pulseaudio-2.0.2-5.fc9.x86_64
pulseaudio-libs-zeroconf-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-module-lirc-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-module-x11-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-libs-0.9.11-0.3.svn20080529.fc10.x86_64
pulseaudio-libs-devel-0.9.11-0.3.svn20080529.fc10.x86_64
lease number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start /usr/bin/pulseaudio as normal user
  
Actual results:
Assertion error


Expected results:
Normal operation

Additional info:
Attached output of pulseaudio -vvv
Comment 1 Nikolay Vladimirov 2008-06-06 17:20:58 EDT
Created attachment 308571 [details]
pulseaudio log
Comment 2 Lennart Poettering 2008-06-10 16:42:52 EDT
module-combine does not work on the SVN version, this has been announced when we
pushed this into rawhide. We will fix this eventually.
Comment 3 Nikolay Vladimirov 2008-06-10 18:33:40 EDT
any temorary workaround for this? 
Comment 4 Lennart Poettering 2008-06-12 11:14:30 EDT
Yes: don't use module-combine for now.

Or downgrade to F9.
Comment 5 Lennart Poettering 2008-06-26 14:31:57 EDT
PulseAudio in git makes module-combine work again. I will shortly upload a new
snapshot into Rawhide.

Note You need to log in before you can comment on or make changes to this bug.